package test;

import java.util.Map;

public class TestDatabaseRow {

	private int id;
	private int trackId;
	private String raceDate;
	private String raceType;
	private int raceNumber;
	private int lane;
	private int distance;
	private int result;
	private float time;
	private String timeModifier;
	private int shooes;
	private int sulky;

	private int driverId;
	private int horseId;
	private int trainerId;

	private int raceId;

	public TestDatabaseRow(Map<String, String> map) {
		id = Integer.valueOf(map.get("id"));
		trackId = Integer.valueOf(map.get("TrackId"));
		raceDate = map.get("RaceDate");
		raceType = map.get("RaceType");
		raceNumber = Integer.valueOf(map.get("RaceNumber"));
		lane = Integer.valueOf(map.get("Lane"));
		distance = Integer.valueOf(map.get("Distance"));
		result = Integer.valueOf(map.get("Result"));
		time = Float.valueOf(map.get("Time"));
		timeModifier = map.get("TimeModifier");
		shooes = Integer.valueOf(map.get("Shoes"));
		sulky = Integer.valueOf(map.get("Sulky"));

		driverId = Integer.valueOf(map.get("DriverId"));
		horseId = Integer.valueOf(map.get("HorseId"));
		trainerId = Integer.valueOf(map.get("TrainerId"));

		raceId = Integer.valueOf(map.get("raceId"));
	}

	public int getId() {
		return id;
	}

	public int getTrackId() {
		return trackId;
	}

	public String getRaceDate() {
		return raceDate;
	}

	public String getRaceType() {
		return raceType;
	}

	public int getRaceNumber() {
		return raceNumber;
	}

	public int getLane() {
		return lane;
	}

	public int getDistance() {
		return distance;
	}

	public int getResult() {
		return result;
	}

	public float getTime() {
		return time;
	}

	public String getTimeModifier() {
		return timeModifier;
	}

	public int getShooes() {
		return shooes;
	}

	public int getSulky() {
		return sulky;
	}

	public int getDriverId() {
		return driverId;
	}

	public int getHorseId() {
		return horseId;
	}

	public int getTrainerId() {
		return trainerId;
	}

	public int getRaceId() {
		return raceId;
	}

	public void setId(int id) {
		this.id = id;
	}

	public void setTrackId(int trackId) {
		this.trackId = trackId;
	}

	public void setRaceDate(String raceDate) {
		this.raceDate = raceDate;
	}

	public void setRaceType(String raceType) {
		this.raceType = raceType;
	}

	public void setRaceNumber(int raceNumber) {
		this.raceNumber = raceNumber;
	}

	public void setLane(int lane) {
		this.lane = lane;
	}

	public void setDistance(int distance) {
		this.distance = distance;
	}

	public void setResult(int result) {
		this.result = result;
	}

	public void setTime(float time) {
		this.time = time;
	}

	public void setTimeModifier(String timeModifier) {
		this.timeModifier = timeModifier;
	}

	public void setShooes(int shooes) {
		this.shooes = shooes;
	}

	public void setSulky(int sulky) {
		this.sulky = sulky;
	}

	public void setDriverId(int driverId) {
		this.driverId = driverId;
	}

	public void setHorseId(int horseId) {
		this.horseId = horseId;
	}

	public void setTrainerId(int trainerId) {
		this.trainerId = trainerId;
	}

	public void setRaceId(int raceId) {
		this.raceId = raceId;
	}

}
